Index: /trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro	(revision 45)
+++ /trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro	(revision 46)
@@ -1,4 +1,4 @@
 ;+
-; .. _whots_validation_net_2004_2007_all_v10.pro
+; .. _whots_validation_net_2004_2007_all_v10.pro:
 ;
 ; ==========================================
@@ -9,8 +9,47 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph whots_validation_net_2004_2007_all_v10 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       met_data [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/met_data_WHOTS_200?_200?.txt"];
+;       swr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_swr_19910101_20091231_oafluxgrid.nc"];
+;       lwr_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lwr_19910101_20091231_oafluxgrid.nc"];
+;       lhf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_lhf_19910101_20091231_oafluxgrid.nc"];
+;       shf_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_shf_19910101_20091231_oafluxgrid.nc"];
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       swr_tropflux_nrt [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_swr_19890101_20091231_NRT_v50.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2007.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2007.nc"];
+;       swr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_ncep2_oaflxgrid_19890101_20091231.nc"];
+;       lwr_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       lhf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;       shf_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_ncep2_oafluxgrid_19890101_20091231.nc"];
+;
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/ncep1_flux_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/WHOTS_validation_net_2004_2007_all_v10.ps"];
+;
+;       whots_validation_net_2004_2007_all_v10 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro",
+;       label="${TROPFLUX}/src/paper01/fig14/whots_validation_net_2004_2007_all_v10.pro"];
+;
+;       {met_data swr_erai  lwr_erai lhf_erai shf_erai tropflux_general swr_tropflux_nrt swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid swr_ncep2 lwr_ncep2 lhf_ncep2 shf_ncep2 ncep1} -> {whots_validation_net_2004_2007_all_v10} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :ref:`statistics.pro`
 ;
 ; EXAMPLES
@@ -22,8 +61,26 @@
 ;  IDL> whots_validation_net_2004_2007_all_v10
 ;
-;  EVOLUTIONS
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
+; EVOLUTIONS
 ; ==========
 ;
 ; $Id$
+;
+; - fplod 20110420T122057Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
 ;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -33,5 +90,6 @@
 ;-
 pro whots_validation_net_2004_2007_all_v10
-@common
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -47,5 +105,5 @@
 ;; first leg
 
-fi="/Users/pkb/data/Mooring_data/WHOTS/met_data_WHOTS_2004_2005.txt"
+fi=tropflux_id_env+"met_data_WHOTS_2004_2005.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -56,5 +114,5 @@
 net_04=[lhf_04+shf_04+swr_04+lwr_04]
 
-fi="/Users/pkb/data/Mooring_data/WHOTS/met_data_WHOTS_2005_2006.txt"
+fi=tropflux_id_env+"met_data_WHOTS_2005_2006.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -65,5 +123,5 @@
 net_05=[lhf_05+shf_05+swr_05+lwr_05]
 
-fi="/Users/pkb/data/Mooring_data/WHOTS/met_data_WHOTS_2006_2007.txt"
+fi=tropflux_id_env+"met_data_WHOTS_2006_2007.txt"
 res=read_ascii(fi,data_start=1)
 ff=res.field1
@@ -86,5 +144,5 @@
 ;st5=20080605 & en5=20090715
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lhf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lhf1=-1*read_ncdf('lhf',st1,en1,file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy", box=box,/nan) & lhf1=reform(lhf1)
@@ -92,5 +150,5 @@
 lhf3=-1*read_ncdf('lhf',st3,en3,file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy", box=box,/nan) & lhf3=reform(lhf3)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_shf_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 shf1=-1*read_ncdf('shf',st1,en1,file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy", box=box,/nan) & shf1=reform(shf1)
@@ -98,5 +156,5 @@
 shf3=-1*read_ncdf('shf',st3,en3,file=file,/nostr, box=box) & shf3=grossemoyenne(shf3, "xy", box=box,/nan) & shf3=reform(shf3)
 
-file='/Volumes/Iomega_HDD/TropFlux/input_uncor/erai_lwr_19890101_20091231_oafluxgrid.nc'
+file=tropflux_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
 lwr1=read_ncdf('lwr',st1-1,en1,file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy", box=box,/nan) & lwr1=reform(lwr1)
@@ -104,5 +162,5 @@
 lwr3=read_ncdf('lwr',st3-1,en3,file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy", box=box,/nan) & lwr3=reform(lwr3)
 
-file="/Users/pkb/data/ERA-I/erai_swr_19910101_20091231_oafluxgrid.nc"
+file=tropflux_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
 swr1=read_ncdf('swr',st1,en1,file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy", box=box,/nan) & swr1=reform(swr1)
@@ -119,5 +177,5 @@
 help, era
 
-file="/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc"
+file=tropflux_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
 
@@ -138,5 +196,5 @@
 swr3=read_ncdf('swr',st3,en3,file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy", box=box,/nan) & swr3=reform(swr3)
 
-file="/Users/pkb/data/TropFlux/TropFlux_swr_19890101_20091231_NRT_v50.nc"
+file=tropflux_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
 olr1=read_ncdf("sw", st1-1, en1, file=file,/nostr, box=box) & olr1=grossemoyenne(olr1, "xy",/nan, box=box) & olr1=reform(olr1)
@@ -158,5 +216,5 @@
 help, trop, olr
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
 swr1=read_ncdf("swr", st1, en1, file=file,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -164,5 +222,5 @@
 swr3=read_ncdf("swr", st3, en3, file=file,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy",/nan, box=box) & swr3=reform(swr3)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
 lwr1=-1*read_ncdf("lwr", st1, en1, file=file,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
@@ -170,5 +228,5 @@
 lwr3=-1*read_ncdf("lwr", st3, en3, file=file,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) & lwr3=reform(lwr3)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
 lhf1=-1*read_ncdf("lhf", st1, en1, file=file,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
@@ -176,5 +234,5 @@
 lhf3=-1*read_ncdf("lhf", st3, en3, file=file,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) & lhf3=reform(lhf3)
 
-file='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2009.nc'
+file=tropflux_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
 shf1=-1*read_ncdf("shf", st1, en1, file=file,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -192,5 +250,5 @@
 help, oaf
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/swr_ncep2_oaflxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
 swr1=read_ncdf("swr", st1, en1, file=fi,/nostr, box=box) & swr1=grossemoyenne(swr1, "xy",/nan, box=box) & swr1=reform(swr1)
@@ -198,5 +256,5 @@
 swr3=read_ncdf("swr", st3, en3, file=fi,/nostr, box=box) & swr3=grossemoyenne(swr3, "xy",/nan, box=box) & swr3=reform(swr3)
 
-fi="/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc"
+fi=tropflux_id_env+'NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
 lwr1=-1*read_ncdf("lwr", st1, en1, file=fi,/nostr, box=box) & lwr1=grossemoyenne(lwr1, "xy",/nan, box=box) & lwr1=reform(lwr1)
@@ -204,5 +262,5 @@
 lwr3=-1*read_ncdf("lwr", st3, en3, file=fi,/nostr, box=box) & lwr3=grossemoyenne(lwr3, "xy",/nan, box=box) & lwr3=reform(lwr3)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/lhf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 lhf1=-1*read_ncdf("lhf", st1, en1, file=fi,/nostr, box=box) & lhf1=grossemoyenne(lhf1, "xy",/nan, box=box) & lhf1=reform(lhf1)
@@ -210,5 +268,5 @@
 lhf3=-1*read_ncdf("lhf", st3, en3, file=fi,/nostr, box=box) & lhf3=grossemoyenne(lhf3, "xy",/nan, box=box) & lhf3=reform(lhf3)
 
-fi='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/shf_ncep2_oafluxgrid_19890101_20091231.nc'
+fi=tropflux_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
 shf1=-1*read_ncdf("shf", st1, en1, file=fi,/nostr, box=box) & shf1=grossemoyenne(shf1, "xy",/nan, box=box) & shf1=reform(shf1)
@@ -227,5 +285,5 @@
 net1=0. & net2=0. & net3=0.
 
-file="/Users/pkb/data/heat_budget/ncep/ncep1_flux_19890101_20091231.nc"
+file=tropflux_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
 
@@ -323,7 +381,6 @@
 
 closeps
-fig="WHOTS_validation_net_2004_2007_all_v10.ps"
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+"WHOTS_validation_net_2004_2007_all_v10.ps"
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
Index: /trunk/src/paper01/fig15/fig15_timeseries_mjo.pro
===================================================================
--- /trunk/src/paper01/fig15/fig15_timeseries_mjo.pro	(revision 45)
+++ /trunk/src/paper01/fig15/fig15_timeseries_mjo.pro	(revision 46)
@@ -6,12 +6,40 @@
 ; ========================
 ;
-;
 ; DESCRIPTION
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph fig15_timeseries_mjo {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       tropflux_general [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_19890101_20091231.nc"];
+;       ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/NCEP2_flux_19890101_20090729.nc"];
+;       erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc"];
+;       ncep1 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/fluxe_ncep1_19890101_20091231.nc"];
+;       shf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/shf_oafluxgrid_1985_2008.nc"];
+;       lhf_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lhf_oafluxgrid_1985_2008.nc"];
+;       lwr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/lwr_oafluxgrid_1985_2007.nc"];
+;       swr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/swr_oafluxgrid_1985_2007.nc"];
+;       olr_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/olr_oafluxgrid_30n30s_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/WHOTS_validation_net_2004_2007_all_v10.ps"];
+;
+;       fig15_timeseries_mjo [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig15/fig15_timeseries_mjo.pro",
+;       label="${TROPFLUX}/src/paper01/fig15/fig15_timeseries_mjo.pro"];
+;
+;       {tropflux_general swr_oafluxgrid lwr_oafluxgrid lhf_oafluxgrid shf_oafluxgrid ncep2 ncep1} -> {fig15_timeseries_mjo} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
 ;
 ; EXAMPLES
@@ -23,4 +51,17 @@
 ;  IDL> fig15_timeseries_mjo
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -28,4 +69,10 @@
 ; $Id$
 ;
+; - fplod 20110420T122720Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -34,6 +81,6 @@
 ;-
 pro fig15_timeseries_mjo
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -44,5 +91,5 @@
 box=[50,80,-12,-5]
 
-file_trop='/Users/pkb/data/TropFlux/TropFlux_19890101_20091231.nc'
+file_trop=tropflux_id_env+'TropFlux_19890101_20091231.nc'
 initncdf, file_trop
 shf_trop=read_ncdf("shf", date1, date2, box=box, file=file_trop,/nostr)
@@ -54,5 +101,5 @@
 trop=grossemoyenne(trop, "xy",/nan)
 
-file_ncep='/Volumes/Iomega_HDD/flux_reconstruction/ncep2/NCEP2_flux_19890101_20090729.nc'
+file_ncep=tropflux_id_env+'NCEP2_flux_19890101_20090729.nc'
 initncdf, file_ncep
 shf=read_ncdf("shf", date1, date2, box=box, file=file_ncep,/nostr)
@@ -65,5 +112,5 @@
 help, nce2
 
-file_erai='/Volumes/Iomega_HDD/work/flux_reconstruction/gridded_data/erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
+file_erai=tropflux_id_env+'erai_fluxes_19930101_20090801_TROP_oafluxgrid.nc'
 initncdf, file_erai
 shf=read_ncdf("shf", date1, date2, box=box, file=file_erai,/nostr)
@@ -75,5 +122,5 @@
 help, era
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/fluxe_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+'fluxe_ncep1_19890101_20091231.nc'
 initncdf, file
 lwr=read_ncdf("lwr", date1, date2, box=box, file=file,/nostr)
@@ -86,14 +133,14 @@
 help, nce
 
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/shf_oafluxgrid_1985_2008.nc'
+file_oaf=tropflux_id_env+'shf_oafluxgrid_1985_2008.nc'
 initncdf, file_oaf
 shf=read_ncdf("shf", date1, date2, box=box, file=file_oaf,/nostr)
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lhf_oafluxgrid_1985_2008.nc'
+file_oaf=tropflux_id_env+'lhf_oafluxgrid_1985_2008.nc'
 initncdf, file_oaf
 lhf=read_ncdf("lhf", date1, date2, box=box, file=file_oaf,/nostr)
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/lwr_oafluxgrid_1985_2007.nc'
+file_oaf=tropflux_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file_oaf
 lwr=read_ncdf("lwr", date1, date2, box=box, file=file_oaf,/nostr)
-file_oaf='/Volumes/Iomega_HDD/work/flux_reconstruction/OAFLX_GRID/swr_oafluxgrid_1985_2007.nc'
+file_oaf=tropflux_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file_oaf
 swr=read_ncdf("swr", date1, date2, box=box, file=file_oaf,/nostr) & swr_trop=swr
@@ -102,5 +149,5 @@
 oafl=grossemoyenne(oafl, "xy",/nan)
 
-file="/Users/pkb/data/heat_budget/NOAA_OLR/olr_oafluxgrid_30n30s_19890101_20091231.nc"
+file=tropflux_id_env+"olr_oafluxgrid_30n30s_19890101_20091231.nc"
 initncdf, file
 olr=read_ncdf("olr", date1-1, date2, box=box, file=file,/nostr)
@@ -161,48 +208,6 @@
 
 closeps
-fig='fig15_timeseries_mjo.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'fig15_timeseries_mjo.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig16/fig16_timeseries_nino3.pro
===================================================================
--- /trunk/src/paper01/fig16/fig16_timeseries_nino3.pro	(revision 45)
+++ /trunk/src/paper01/fig16/fig16_timeseries_nino3.pro	(revision 46)
@@ -9,8 +9,32 @@
 ; ===========
 ;
+; .. graphviz::
+;
+;    digraph fig16_timeseries_nino3 {
+;       graph [
+;       rankdir="LR",
+;       ]
+;       tropflux_sst [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_sst_19890101_20091231.nc"];
+;
+;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/WHOTS_validation_net_2004_2007_all_v10.ps"];
+;
+;       fig16_timeseries_nino3 [shape=box,
+;       fontname=Courier,
+;       color=blue,
+;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig16/fig16_timeseries_nino3.pro",
+;       label="${TROPFLUX}/src/paper01/fig16/fig16_timeseries_nino3.pro"];
+;
+;       {tropflux_sst} -> {fig16_timeseries_nino3} -> {figure}
+;    }
+;
 ; SEE ALSO
 ; ========
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
 ;
 ; EXAMPLES
@@ -22,4 +46,17 @@
 ;  IDL> fig16_timeseries_nino3
 ;
+; TODO
+; ====
+;
+; make it work on cratos : missing data
+;
+; coding rules
+;
+; get rid of spwan
+;
+; complete description
+;
+; handle IO error
+;
 ; EVOLUTIONS
 ; ==========
@@ -27,4 +64,10 @@
 ; $Id$
 ;
+; - fplod 20110420T123110Z aedon.locean-ipsl.upmc.fr (Darwin)
+;
+;   * remove hard coding path
+;   * add graphviz
+;   * externalize functions
+;
 ; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
 ;
@@ -33,6 +76,6 @@
 ;-
 pro fig16_timeseries_nino3
-@common
-
+@cm_general
+@cm_tropflux
 reinitplt, /z,/invert
 key_portrait = 1
@@ -42,5 +85,5 @@
 box=[240,330,-5,5]
 
-file_trop='/Users/pkb/data/TropFlux/TropFlux_sst_19890101_20091231.nc'
+file_trop=tropflux_id_env+'TropFlux_sst_19890101_20091231.nc'
 initncdf, file_trop
 sst=read_ncdf("sst", date1, date2, box=box, file=file_trop,/nostr)
@@ -157,46 +200,6 @@
 
 closeps
-fig='fig16_timeseries_nino3.ps'
-spawn, 'mv '+psdir+'idl.ps '+cpsdir+fig
-spawn, 'gv '+cpsdir+fig
-return
+fig=tropflux_od_env+'fig16_timeseries_nino3.ps'
+spawn, 'mv '+psdir+'idl.ps '+fig
+spawn, 'gv '+fig
 end
-function x_site_location, site
-    n1=strpos(site, 's')
-if (n1 gt -1) then begin
-    ns=-1.
-    x=strmid(site, 0, n1)
-    x=float(x)*ns
-endif else begin
-    n1=strpos(site, 'n')
-    x=strmid(site, 0, n1)
-    ny=1.
-    x=float(x)*ny
-endelse
-return, float(x)
-end
-function y_site_location, site
-    n1=strpos(site, 'e')
-if (n1 gt -1) then begin
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-    endelse
-
-endif else begin
-    n1=strpos(site, 'w')
-    n=strpos(site, 's')
-    if (n gt -1) then begin
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-    endif else begin
-        n=strpos(site, 'n')
-        y=strmid(site, n+1, n1-n-1)
-        y=180+(180-float(y))
-   endelse
-endelse
-return,float(y)
-end
Index: /trunk/src/paper01/fig2/fig2_timeline_diagram.pro
===================================================================
--- /trunk/src/paper01/fig2/fig2_timeline_diagram.pro	(revision 45)
+++ /trunk/src/paper01/fig2/fig2_timeline_diagram.pro	(revision 46)
@@ -55,7 +55,7 @@
 ;
 ; make it work on cratos ::
-;    % Error: 
+;    % Error:
 ;    % the vector size (7670) is incompatible
-;    % with the domain dimensions 
+;    % with the domain dimensions
 ;    % [jpi/nx, jpj/ny, jpk/nz, jpt] = [1/1, 1/1, 1/1, 1]
 ;
@@ -149,6 +149,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 
 for n=0, nn-1 do begin
Index: /trunk/src/paper01/fig2/read_lw.pro
===================================================================
--- /trunk/src/paper01/fig2/read_lw.pro	(revision 45)
+++ /trunk/src/paper01/fig2/read_lw.pro	(revision 46)
@@ -77,6 +77,4 @@
 @cm_tropflux
 
-dir='/Users/pkb/data/TPR/'
-;
 ;; DEFINE THE OUTPUT TIME AXIS
 ;
Index: /trunk/src/paper01/fig2/x_site_location.pro
===================================================================
--- /trunk/src/paper01/fig2/x_site_location.pro	(revision 45)
+++ /trunk/src/paper01/fig2/x_site_location.pro	(revision 46)
@@ -10,10 +10,11 @@
 ; ===========
 ;
-;     :param site: ++
+;    :param site: ++
+;
 ; EXAMPLES
 ; ========
 ;
 ; ::
-; 
+;
 ;   IDL> site=++
 ;   IDL> result=x_site_location(site)
@@ -22,5 +23,22 @@
 ; ========
 ;
+; :func:`y_site_location`
+;
+; :ref:`fig1_no_obs_map.pro`
+; :ref:`net_flux_validation_scatter_2000_2007.pro`
+; :ref:`fig16_timeseries_nino3.pro`
 ; :ref:`fig2_timeline_diagram.pro`
+; :ref:`air_validation_scatter_2000_2009_v50.pro`
+; :ref:`q2m_validation_scatter_2000_2009_v50.pro`
+; :ref:`sst_validation_scatter_2000_2009_v50.pro`
+; :ref:`ws_validation_scatter_2000_2009_v50.pro`
+; :ref:`air_validation_scatter_2000_2009_basin.pro`
+; :ref:`q2m_validation_scatter_2000_2009_basin.pro`
+; :ref:`sst_validation_scatter_2000_2009_basin.pro`
+; :ref:`ws_validation_scatter_2000_2009_basin.pro`
+; :ref:`lhf_validation_scatter_2000_2009.pro`
+; :ref:`shf_validation_scatter_2000_2009.pro`
+; :ref:`lwr_validation_scatter_2000_2007.pro`
+; :ref:`swr_validation_scatter_2000_2007.pro`
 ;
 ; TODO
@@ -28,5 +46,5 @@
 ;
 ; coding rules
-; 
+;
 ; EVOLUTIONS
 ; ==========
@@ -35,5 +53,5 @@
 ;
 ; - fplod 20110412T083358Z aedon.locean-ipsl.upmc.fr (Darwin)
-; 
+;
 ;   * creation from fig2_timeline_diagram.pro
 ;
Index: /trunk/src/paper01/fig2/y_site_location.pro
===================================================================
--- /trunk/src/paper01/fig2/y_site_location.pro	(revision 45)
+++ /trunk/src/paper01/fig2/y_site_location.pro	(revision 46)
@@ -10,5 +10,5 @@
 ; ===========
 ;
-;     :param site: ++
+;    :param site: ++
 ;
 ; EXAMPLES
@@ -16,5 +16,5 @@
 ;
 ; ::
-; 
+;
 ;   IDL> site=++
 ;   IDL> result=y_site_location(site)
@@ -23,5 +23,22 @@
 ; ========
 ;
+; :func:`x_site_location`
+;
+; :ref:`fig1_no_obs_map.pro`
+; :ref:`net_flux_validation_scatter_2000_2007.pro`
+; :ref:`fig16_timeseries_nino3.pro`
 ; :ref:`fig2_timeline_diagram.pro`
+; :ref:`air_validation_scatter_2000_2009_v50.pro`
+; :ref:`q2m_validation_scatter_2000_2009_v50.pro`
+; :ref:`sst_validation_scatter_2000_2009_v50.pro`
+; :ref:`ws_validation_scatter_2000_2009_v50.pro`
+; :ref:`air_validation_scatter_2000_2009_basin.pro`
+; :ref:`q2m_validation_scatter_2000_2009_basin.pro`
+; :ref:`sst_validation_scatter_2000_2009_basin.pro`
+; :ref:`ws_validation_scatter_2000_2009_basin.pro`
+; :ref:`lhf_validation_scatter_2000_2009.pro`
+; :ref:`shf_validation_scatter_2000_2009.pro`
+; :ref:`lwr_validation_scatter_2000_2007.pro`
+; :ref:`swr_validation_scatter_2000_2007.pro`
 ;
 ; TODO
@@ -29,5 +46,5 @@
 ;
 ; coding rules
-; 
+;
 ; EVOLUTIONS
 ; ==========
@@ -36,5 +53,5 @@
 ;
 ; - fplod 20110412T083358Z aedon.locean-ipsl.upmc.fr (Darwin)
-; 
+;
 ;   * creation from fig2_timeline_diagram.pro
 ;
Index: /trunk/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro	(revision 45)
+++ /trunk/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro	(revision 46)
@@ -19,9 +19,9 @@
 ;       air_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_erai_v50.txt"];
 ;
-;       air_trop [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_trop_v50.txt"];
-;       air_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_oaflx_v50.txt"];
+;       air_trop [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_trop_v50.txt"];
+;       air_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_oaflx_v50.txt"];
 ;       air_ncep  [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_ncep_v50.txt"];
-;       air_ncep1  [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_ncep1_v50.txt"];
-;       air_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2000_2009_ncep2_v50.txt"];
+;       air_ncep1  [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_ncep1_v50.txt"];
+;       air_ncep2 [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/air_2000_2009_ncep2_v50.txt"];
 ;       air_ncep2_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/air_2m_ncep2_oafluxgrid_19890101_20091231.nc"];
 ;
@@ -32,5 +32,5 @@
 ;
 ;       tropflux_t2m [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/TropFlux_t2m_19890101_20091231_v50.nc"];
-;     
+;
 ;       oaflux_basic [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/OAFlux_basic_variables_1985_2009.nc"];
 ;
@@ -41,5 +41,5 @@
 ;       label="${TROPFLUX}/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro"];
 ;
-;       {air_erai air_trop air_oaflux air_ncep air_ncep1 air_ncep2 erai_t2m tropflux_t2m oaflux_basic air_ncep2_oafluxgrid t2m_ncep1} -> {air_validation_scatter_2000_2009_v50} -> {figure}
+;       {air_erai air_ncep erai_t2m tropflux_t2m oaflux_basic air_ncep2_oafluxgrid t2m_ncep1} -> {air_validation_scatter_2000_2009_v50} -> { air_trop air_oaflux air_ncep1 air_ncep2 figure}
 ;
 ;    }
@@ -49,6 +49,12 @@
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
 ;
 ; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -102,8 +108,4 @@
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
 
 ;; Give the location of mooring for validation of basic meteorological variables
@@ -152,5 +154,4 @@
 help, unc
 
-;file='/Volumes/Iomega_HDD/TropFlux/input_cor/full_cor/TropFlux_t2m_19890101_20091231_v3.nc'
 file=tropflux_id_env+'TropFlux_t2m_19890101_20091231_v50.nc'
 initncdf, file
@@ -176,6 +177,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
Index: /trunk/src/paper01/fig3/q2m_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/q2m_validation_scatter_2000_2009_v50.pro	(revision 45)
+++ /trunk/src/paper01/fig3/q2m_validation_scatter_2000_2009_v50.pro	(revision 46)
@@ -19,8 +19,8 @@
 ;       q2m_erai [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_2000_2009_erai_v50.txt"];
 ;
-;       q2m_trop [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_2000_2009_trop_v50.txt"];
-;       q2m_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_2000_2009_oaflx_v50.txt"];
-;       q2m_ncep  [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_2000_2009_ncep_v50.txt"];
-;       q2m_ncep1  [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/q2m_2000_2009_ncep1_v50.txt"];
+;       q2m_trop [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_trop_v50.txt"];
+;       q2m_oaflux [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_oaflx_v50.txt"];
+;       q2m_ncep  [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_ncep_v50.txt"];
+;       q2m_ncep1  [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_2000_2009_ncep1_v50.txt"];
 ;
 ;       erai_q2m_oafluxgrid [shape=ellipse,fontname=Courier,label="${TROPFLUX_ID}/erai_t2m_19890101_20091231_oafluxgrid.nc"];
@@ -40,5 +40,5 @@
 ;       figure [shape=ellipse,fontname=Courier,label="${TROPFLUX_OD}/q2m_validation_scatter_2000_2009_v50.ps"];
 ;
-;       {q2m_erai q2m_trop q2m_oaflux q2m_ncep q2m_ncep1 erai_q2m_oafluxgrid tropflux_q2m oaflux_basic sphum_ncep2_oafluxgrid} -> {q2m_validation_scatter_2000_2009_v50} -> {figure}
+;       {q2m_erai erai_q2m_oafluxgrid tropflux_q2m oaflux_basic sphum_ncep2_oafluxgrid} -> {q2m_validation_scatter_2000_2009_v50} -> {q2m_trop q2m_oaflux q2m_ncep q2m_ncep1 figure}
 ;
 ;     }
@@ -48,4 +48,12 @@
 ;
 ; :ref:`tropflux_profile.sh`
+; :ref:`tropflux_init.pro`
+; :ref:`cm_tropflux.pro`
+;
+; :func:`x_site_location`
+; :func:`y_site_location`
+;
+; :ref:`read_variables_v2.pro`
+; :ref:`statistics_3var_v1.pro`
 ;
 ; EXAMPLES
@@ -99,8 +107,4 @@
 
 openps, FILENAME = 'idl.ps'
-;; Before running this program, you have to compile the following subrutines
-;;   1.  .r read_era_total
-;;   2.  .r read_variables_v2
-;;   3.  .r read_era_box
 
 ;; Give the location of mooring for validation of basic meteorological variables
@@ -165,5 +169,5 @@
 help, nce
 
-file='/Volumes/Iomega_HDD/flux_reconstruction/ncep/q2m_ncep1_19890101_20091231.nc'
+file=tropflux_id_env+''q2m_ncep1_19890101_20091231.nc'
 initncdf, file
 nce1=read_ncdf("q2m", date1, date2, file=file,/nostr)
@@ -172,6 +176,4 @@
 
 nn=n_elements(sitelist)
-date1=date1
-date2=date2
 for n=0, nn-1 do begin
 
@@ -241,5 +243,5 @@
 close,/all
 
-fi_q2m_erai='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_erai_v50.txt'
+fi_q2m_erai=tropflux_id_env+'q2m_2000_2009_erai_v50.txt'
 res=read_ascii(fi_q2m_erai,data_start=1)
 ff=res.field1
@@ -267,5 +269,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_q2m_trop='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_trop_v50.txt'
+fi_q2m_trop=tropflux_id_env+'q2m_2000_2009_trop_v50.txt'
 res=read_ascii(fi_q2m_trop,data_start=1)
 ff=res.field1
@@ -294,5 +296,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_q2m_oaflx='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_oaflx_v50.txt'
+fi_q2m_oaflx=tropflux_id_env+'q2m_2000_2009_oaflx_v50.txt'
 res=read_ascii(fi_q2m_oaflx,data_start=1)
 ff=res.field1
@@ -322,5 +324,5 @@
 
 
-fi_q2m_ncep='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_ncep_v50.txt'
+fi_q2m_ncep=tropflux_id_env+'q2m_2000_2009_ncep_v50.txt'
 res=read_ascii(fi_q2m_ncep,data_start=1)
 ff=res.field1
@@ -349,5 +351,5 @@
 oplot, mean_tao, yfit, color=250, thick=2
 
-fi_q2m_ncep1='/Users/pkb/work/MY_SAXO/flux_automat/q2m_2000_2009_ncep1_v50.txt'
+fi_q2m_ncep1=tropflux_id_env+'q2m_2000_2009_ncep1_v50.txt'
 res=read_ascii(fi_q2m_ncep1,data_start=1)
 ff=res.field1
Index: /trunk/src/paper01/fig3/read_variables_v2.pro
===================================================================
--- /trunk/src/paper01/fig3/read_variables_v2.pro	(revision 45)
+++ /trunk/src/paper01/fig3/read_variables_v2.pro	(revision 46)
@@ -48,4 +48,10 @@
 ; :ref:`sst_validation_scatter_2000_2009_v50.pro`
 ; :ref:`ws_validation_scatter_2000_2009_v50.pro`
+; :ref:`air_validation_scatter_2000_2009_basin.pro`
+; :ref:`q2m_validation_scatter_2000_2009_basin.pro`
+; :ref:`sst_validation_scatter_2000_2009_basin.pro`
+; :ref:`ws_validation_scatter_2000_2009_basin.pro`
+; :ref:`lhf_validation_scatter_2000_2009.pro`
+; :ref:`shf_validation_scatter_2000_2009.pro`
 ;
 ; EXAMPLES
@@ -61,5 +67,5 @@
 ; TODO
 ; ====
-; 
+;
 ; externalize function
 ;
